---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libGetThreadStateMountedTest.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0x2460, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x240C0, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x24210, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8D1A, offset: 0x8D1A, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x24220, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8D33, offset: 0x8D33, size: 0x8, addend: 0x0, symName: __ZL11error_count, symObjAddr: 0x24218, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8D4C, offset: 0x8D4C, size: 0x8, addend: 0x0, symName: __ZL12time_to_exit.0, symObjAddr: 0x24228, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0xA788, offset: 0xA788, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2780, symSize: 0x30 }
  - { offsetInCU: 0xAA47, offset: 0xAA47, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xE90, symBinAddr: 0x27B0, symSize: 0x90 }
  - { offsetInCU: 0xAC47, offset: 0xAC47, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_trySuspendInWaitingState, symObjAddr: 0xF20, symBinAddr: 0x2840, symSize: 0x1E0 }
  - { offsetInCU: 0xB12E, offset: 0xB12E, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_testThread, symObjAddr: 0x1100, symBinAddr: 0x2A20, symSize: 0x4D0 }
  - { offsetInCU: 0xB990, offset: 0xB990, size: 0x8, addend: 0x0, symName: __ZL19verify_thread_statePKcP7JNIEnv_P8_jobjectii, symObjAddr: 0x15D0, symBinAddr: 0x2EF0, symSize: 0x1F0 }
  - { offsetInCU: 0xBC0F, offset: 0xBC0F, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_getErrorCount, symObjAddr: 0x17C0, symBinAddr: 0x30E0, symSize: 0x10 }
  - { offsetInCU: 0xBC7B, offset: 0xBC7B, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_runFromNative, symObjAddr: 0x17D0, symBinAddr: 0x30F0, symSize: 0x70 }
  - { offsetInCU: 0xBD75, offset: 0xBD75, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1840, symBinAddr: 0x3160, symSize: 0xB0 }
  - { offsetInCU: 0xBE8F, offset: 0xBE8F, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_waitInNative, symObjAddr: 0x18F0, symBinAddr: 0x3210, symSize: 0x90 }
  - { offsetInCU: 0xC081, offset: 0xC081, size: 0x8, addend: 0x0, symName: _Java_GetThreadStateMountedTest_endWait, symObjAddr: 0x1980, symBinAddr: 0x32A0, symSize: 0xE }
...
